# Risk of Chaos

Every minute, a random effect happens. Multiplayer combatible!

Heavily inspired by the "Chaos Mod" series of GTA games.

Only the host needs to have the mod, though it is recommended everyone have the mod installed anyway (certain visuals won't appear for players without the mod)

Currently includes 18 different effects.

<details>
	<summary>Full list of effects</summary>

* Nothing: Does absolutely nothing
* Spawn Random Portal Orb: Spawns a random portal orb on the stage teleporter
* Enable Random Artifact: Enables a random artifact. Lasts until end of stage.
* Add Mountain Shrine: Adds a number of mountain shrines to the teleporter event, number of shrines added can be configured (default is 2)
* Activate Teleporter: Forcefully activates the stage teleporter, whether you want it to or not
* Give Random Item: Gives all players a random item
* One Hit KO: Sets everything on the stage to 1 HP
* Freeze!: Freezes every character on the stage for 4 seconds
* Payday: Gives all players an amount of money equivalent to 4 large chests.
* +50% Director Credits: Increases director credits for the rest of the current stage
* Sequence All Players: Activates a shrine of order on all players
* Spawn Scavenger Bag: Spawns a scavenger bag near a random player
* Drop All Items: Drops all players' items and equipment on the ground
* Meteor Shower: Activates the glowing meteorite equipment
* Randomize Loadout: Randomizes all player's loadouts (skills and skins)
* You and a super intelligent Lemurian...: Spawns an invincible Lemurian in a random location on the map with an infinite damage stat (instantly die if you touch it)
* Mitosis: Duplicates every character on the map
* Scrap Random Item: Turns a random scrappable item in every players inventory into the corresponding scrap
</details>

FAQ:

Q: The icon looks like shit<br/>
A: That's not a question

Q: Why does the icon look like shit?<br/>
A: I failed art class __(If you have a better design in mind please let me know, I'll take any excuse to get rid of that abomination)__

If you have any feedback or bug reports, please open a [GitHub issue](https://github.com/Goorakh/RiskOfChaos/issues/new)

## Changelog

**0.1.6 Changes:**

* Fixed language tokens not loading (for real this time)

**0.1.5 Changes:**

* Added effect: Scrap Random Item
* Randomize Loadout will no longer revive dead players

**0.1.4 Changes:**

* Added effect: Mitosis
* Use R2API split assemblies

**0.1.3 Changes:**

* Added effect: You and a super intelligent Lemurian...

**0.1.2 Changes:**

* Fix Randomize Loadout spawning players as a new survivor if Artifact of Metamorphosis was enabled.
* (Hopefully) fix language tokens sometimes not loading properly

**0.1.1 Changes:**

* README update

**0.1.0 Changes:**

* First release
